net.corda.jackson

## Class JacksonSupport.IdentityObjectMapper

- net.corda.jackson.JacksonSupport.IdentityObjectMapper

- All Implemented Interfaces:
    JacksonSupport.PartyObjectMapper
  Enclosing class:
    JacksonSupport

      public static class JacksonSupport.IdentityObjectMapper
      implements JacksonSupport.PartyObjectMapper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IdentityObjectMapper(IdentityService identityService, com.fasterxml.jackson.core.JsonFactory factory)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IdentityService` | `getIdentityService()`
    `Party` | `partyFromKey(CompositeKey owningKey)`
    `Party` | `partyFromName(java.lang.String partyName)`

    - ### Methods inherited from interface net.corda.jackson.JacksonSupport.PartyObjectMapper

      `partyFromKey, partyFromName`

- - ### Constructor Detail

    - #### IdentityObjectMapper

          public IdentityObjectMapper(IdentityService identityService,
                                      com.fasterxml.jackson.core.JsonFactory factory)

  - ### Method Detail

    - #### partyFromName

          public Party partyFromName(java.lang.String partyName)

    - #### partyFromKey

          public Party partyFromKey(CompositeKey owningKey)

    - #### getIdentityService

          public IdentityService getIdentityService()